%define VER 6.4.0
%define Patchlevel 3
Summary: An X application for displaying and manipulating images.
Name: ImageMagick
Version: %{VER}.%{Patchlevel}
Release: 1
License: ImageMagick
Group: Applications/Multimedia
Source0: ftp://ftp.ImageMagick.org/pub/%{name}/%{name}-%{VER}-%{Patchlevel}.tar.bz2
Url: http://www.imagemagick.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: bzip2-devel
BuildRequires: fontconfig-devel >= 2.5.0
BuildRequires: freetype2-devel >= 2.3.5
BuildRequires: jasper-devel
BuildRequires: lcms-devel
BuildRequires: libpng-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel >= 3.8.2
BuildRequires: libxml2-devel >= 2.6.31
BuildRequires: pkg-config
BuildRequires: zlib-devel

Requires: bzip2
Requires: fontconfig >= 2.5.0
Requires: freetype2 >= 2.3.5
Requires: jasper
Requires: lcms
Requires: libpng
Requires: libjpeg
Requires: libtiff >= 3.8.2
Requires: libxml2 >= 2.6.31
Requires: zlib

%description
ImageMagick(TM) is an image display and manipulation tool for the X
Window System. ImageMagick can read and write JPEG, TIFF, PNM, GIF,
and Photo CD image formats. It can resize, rotate, sharpen, color
reduce, or add special effects to an image, and when finished you can
either save the completed work in the original format or a different
one. ImageMagick also includes command line programs for creating
animated or transparent .gifs, creating composite images, creating
thumbnail images, and more.

ImageMagick is one of your choices if you need a program to manipulate
and dis play images. If you want to develop your own applications
which use ImageMagick code or APIs, you need to install
ImageMagick-devel as well.


%package devel
Summary: Static libraries and header files for ImageMagick app development.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: bzip2-devel
Requires: fontconfig-devel >= 2.5.0
Requires: freetype2-devel >= 2.3.5
Requires: jasper-devel
Requires: lcms-devel
Requires: libpng-devel
Requires: libjpeg-devel
Requires: libtiff-devel >= 3.8.2
Requires: libxml2-devel >= 2.6.31
Requires: pkg-config
Requires: zlib-devel

%description devel
ImageMagick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications. ImageMagick is an image
manipulation program.

If you want to create applications that will use ImageMagick code or
APIs, you need to install ImageMagick-devel as well as ImageMagick.
You do not need to install it if you just want to use ImageMagick,
however.


%package c++
Summary: ImageMagick Magick++ library (C++ bindings)
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}

%description c++
This package contains the Magick++ library, a C++ binding to the ImageMagick
graphics manipulation library.

Install ImageMagick-c++ if you want to use any applications that use Magick++.


%package c++-devel
Summary: C++ bindings for the ImageMagick library
Group: Development/Libraries
Requires: %{name}-c++ = %{version}
Requires: %{name}-devel = %{version}

%description c++-devel
ImageMagick-devel contains the static libraries and header files you'll
need to develop ImageMagick applications using the Magick++ C++ bindings.
ImageMagick is an image manipulation program.

If you want to create applications that will use Magick++ code
or APIs, you'll need to install ImageMagick-c++-devel, ImageMagick-devel and
ImageMagick.
You don't need to install it if you just want to use ImageMagick, or if you
want to develop/compile applications using the ImageMagick C interface,
however.


%prep
%setup -q -n %{name}-%{VER}


%build
export CC=xlc_r
export CXX=xlC_r
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --with-modules \
    --with-magick_plus_plus \
    --with-threads \
    --without-perl \
    --without-dps

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

mv -f ${RPM_BUILD_ROOT}%{_includedir}/%{name}/* ${RPM_BUILD_ROOT}%{_includedir}/
rmdir ${RPM_BUILD_ROOT}%{_includedir}/%{name}


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc QuickStart.txt ChangeLog Platforms.txt
%doc README.txt LICENSE NOTICE
%{_libdir}/libMagickCore.a
%{_libdir}/libMagickWand.a
%{_bindir}/[a-z]*
%{_libdir}/ImageMagick*
%{_datadir}/ImageMagick*
%{_mandir}/man1/ImageMagick.*
%{_mandir}/man1/[a-z]*
%{_datadir}/doc/ImageMagick*


%files devel
%defattr(-,root,system)
%{_bindir}/Magick-config
%{_bindir}/MagickCore-config
%{_bindir}/MagickWand-config
%{_libdir}/libMagickCore.la
%{_libdir}/libMagickWand.la
%{_libdir}/pkgconfig/ImageMagick.pc
%{_libdir}/pkgconfig/Wand.pc
%{_includedir}/magick
%{_includedir}/wand
%{_mandir}/man1/Magick-config.*
%{_mandir}/man1/MagickCore-config.*
%{_mandir}/man1/MagickWand-config.*
%{_mandir}/man1/Wand-config.*


%files c++
%defattr(-,root,system)
%{_libdir}/libMagick++.a


%files c++-devel
%defattr(-,root,system)
%{_bindir}/Magick++-config
%{_includedir}/Magick++
%{_includedir}/Magick++.h
%{_libdir}/libMagick++.la
%{_libdir}/pkgconfig/ImageMagick++.pc
%{_mandir}/man1/Magick++-config.*


%changelog
* Wed Apr 02 2008 Michael Perzl <michael@perzl.org> - 6.4.0.3-1
- first version for AIX V5.1 and higher
